All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface MdFactoryListener

All Superinterfaces:
  java.util.EventListener, java.rmi.Remote

    public interface MdFactoryListener

extends java.util.EventListener, java.rmi.Remote

Interface used for notifying clients when changes have been persisted to the server. These changes include newly created objects, objects modified on the server, or objects deleted from the server.

Since:
  9.2

Method Summary
`void` | `MdObjectsCreated(MdFactoryEvent e)` Signals when objects have been created on the client
`void` | `MdObjectsDeleted(MdFactoryEvent e)` Signals when objects have been deleted
`void` | `MdObjectsModified(MdFactoryEvent e)` Signals when objects have been updated or modified on the client

Method Detail

### MdObjectsCreated

    void MdObjectsCreated(MdFactoryEvent e)
                          throws java.rmi.RemoteException

  Signals when objects have been created on the client

  Parameters:
    `e` - the event
  Throws:
    `java.rmi.RemoteException`

### MdObjectsModified

    void MdObjectsModified(MdFactoryEvent e)
                           throws java.rmi.RemoteException

  Signals when objects have been updated or modified on the client

  Parameters:
    `e` - the event
  Throws:
    `java.rmi.RemoteException`

### MdObjectsDeleted

    void MdObjectsDeleted(MdFactoryEvent e)
                          throws java.rmi.RemoteException

  Signals when objects have been deleted

  Parameters:
    `e` - the event
  Throws:
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.